import { defineComponent, ref } from 'vue';
import styles from './index.module.less';
import {
  NTabs,
  NTabPane,
  NSpace,
  NBreadcrumb,
  NBreadcrumbItem
} from 'naive-ui';
import { useRouter } from 'vue-router';
import CBreadcrumb from '/src/components/CBreadcrumb';
export default defineComponent({
  name: 'base-setting',
  setup(props, { emit, attrs }) {
    const activeTab = ref('student');
    const router = useRouter();
    return () => (
      <div>
        <CBreadcrumb
          father="班级管理"
          toPath="/classList"
          selfName="三年二班"></CBreadcrumb>
        <div class={styles.listWrap}>
          <NTabs
            class={styles.customTabs}
            v-model:value={activeTab.value}
            size="large"
            animated
            pane-wrapper-style="margin: 0 -4px"
            pane-style="padding-left: 4px; padding-right: 4px; box-sizing: border-box;">
            <NTabPane name="student" tab="学员名单"></NTabPane>
            <NTabPane name="afterWork" tab="课后训练"></NTabPane>
            <NTabPane name="practice" tab="练习记录"></NTabPane>
            <NTabPane name="attendclass" tab="上课记录"></NTabPane>
          </NTabs>
        </div>
      </div>
    );
  }
});
